org.apache.hadoop.lib.lang

## Interface XException.ERROR

- All Known Implementing Classes:
    FileSystemAccessException.ERROR, ServerException.ERROR
  Enclosing class:
    XException

      public static interface XException.ERROR

  Interface to define error codes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTemplate()` Returns the template for the error.

- - ### Method Detail

    - #### getTemplate

          String getTemplate()

      Returns the template for the error.
      Returns:
        the template for the error, the template must be in JDK `MessageFormat` syntax (using {#} positional parameters).

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.